[Python-checkins] r66789 - python/branches/release26-maint/Misc/build.sh

georg.brandl python-checkins at python.org
Sat Oct 4 10:13:56 CEST 2008


Author: georg.brandl
Date: Sat Oct  4 10:13:56 2008
New Revision: 66789

Log:
Add step to build downloadable docs.


Modified:
   python/branches/release26-maint/Misc/build.sh

Modified: python/branches/release26-maint/Misc/build.sh
==============================================================================
--- python/branches/release26-maint/Misc/build.sh	(original)
+++ python/branches/release26-maint/Misc/build.sh	Sat Oct  4 10:13:56 2008
@@ -50,7 +50,8 @@
 #FAILURE_CC="optional--uncomment and set to desired address"
 
 REMOTE_SYSTEM="neal at dinsdale.python.org"
-REMOTE_DIR="/data/ftp.python.org/pub/docs.python.org/dev/2.6"
+REMOTE_DIR="/data/ftp.python.org/pub/www.python.org/doc/current"
+REMOTE_DIR_DIST="/data/ftp.python.org/pub/python/doc/current"
 RESULT_FILE="$DIR/build/index.html"
 INSTALL_DIR="/tmp/python-test-2.6/local"
 RSYNC_OPTS="-aC -e ssh"
@@ -271,11 +272,24 @@
     mail_on_failure "doc" ../build/$F
 fi
 
+F="make-doc-dist.out"
+start=`current_time`
+if [ $conflict_count == 0 ]; then
+    make dist >& ../build/$F
+    err=$?
+fi
+update_status "Making downloadable doc" "$F" $start
+if [ $err != 0 ]; then
+    NUM_FAILURES=1
+    mail_on_failure "doc dist" ../build/$F
+fi
+
 echo "</ul>" >> $RESULT_FILE
 echo "</body>" >> $RESULT_FILE
 echo "</html>" >> $RESULT_FILE
 
 ## copy results
 rsync $RSYNC_OPTS build/html/* $REMOTE_SYSTEM:$REMOTE_DIR
+rsync $RSYNC_OPTS dist/* $REMOTE_SYSTEM:$REMOTE_DIR_DIST
 cd ../build
 rsync $RSYNC_OPTS index.html *.out $REMOTE_SYSTEM:$REMOTE_DIR/results/


More information about the Python-checkins mailing list